## python3.13 3.13.1

=== debian/changelog ===
python3.13 (3.13.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop patch sysconfigdata-name.diff, upstream rejected it and we no longer
    need it.
  * Add compatibility symlink for old sysconfigdata name.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-01-03.
    - Fix issue #128030. Closes: #1090267.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Jan 2025 11:26:34 +0100

python3.13 (3.13.1-2) unstable; urgency=medium

  * Update to the 3.13 branch 2024-12-12.
    - Fix issue #127655, CVE-2024-12254.
  * Add support for OpenSSL 3.4, issue #127330.
  * Mark test_structseq as failing on Ubuntu/armhf.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2024 11:12:28 +0100

python3.13 (3.13.1-1) unstable; urgency=medium

  * Python 3.13.1.

  [ Matthias Klose ]
  * Apply temporary fix to fix build issue on m68k. Closes: #1087600.
  * Don't use -fno-inline-small-functions on hppa (Dave Anglin).
  * Build with -Os on sh4 (Adrian Glaubitz).
  * Stop using EXTRA_CFLAGS. Closes: #1087923.
  * Bump standards version.

  [ Stefano Rivera ]
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:39:10 +0100

python3.13 (3.13.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Adjust lib-argparse.diff to avoid failing test_argparse's translation
    test.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2024-11-12.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 10:54:22 +0100
