## python3.13 3.13.2

=== debian/changelog ===
python3.13 (3.13.2-3) unstable; urgency=medium

  * Update to the 3.13 branch 2025-03-29.
  * Editorial changes for the python man page (Bjarni Ingi Gislason).
    Closes: #1101406.
  * Update the min-tempfile patch for 3.13. Closes: #1098680.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2025 11:04:43 +0100

python3.13 (3.13.2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Replace update-manpage.patch with the version that landed upstream.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-03-13.
  * Generalize os testing in debian/rules (Samuel Thibault). Closes: #1095262.
  * Update sphinx build modules, still build with sphinx 8.1.x.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Mar 2025 15:29:07 +0100

python3.13 (3.13.2-1) unstable; urgency=medium

  * Python 3.13.2.
  * Refresh patches.
  * Raise a more helpful ImportError in the turtle module. LP: #2093393.
  * Replace locale-module.patch with something to the change that landed
    upstream, and just missed 3.13.2.
  * Patch: update manpage, it has been neglected for a few releases.
    Closes: #1095052
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Feb 2025 21:23:35 -0400
