## python3.13 3.13.3

=== debian/changelog ===
python3.13 (3.13.3-1ubuntu0.3) plucky-security; urgency=medium

  * SECURITY UPDATE: Regular expression denial of service.
    - debian/patches/CVE-2025-6069.patch: Improve regex parsing in
      Lib/html/parser.py.
    - CVE-2025-6069
  * SECURITY UPDATE: Infinite loop when parsing tar archives.
    - debian/patches/CVE-2025-8194.patch: Raise exception when count < 0 in
      Lib/tarfile.py.
    - CVE-2025-8194

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 14 Aug 2025 09:23:40 -0230

python3.13 (3.13.3-1ubuntu0.2) plucky-security; urgency=medium

  * SECURITY UPDATE: Arbitrary filesystem and metadata write through improper
    tar filtering.
    - debian/patches/CVE-202x-12718-4138-4x3x-4517-pre1.patch: Add additional
      tests in ./Lib/test/test_ntpath.py and ./Lib/test/test_posixpath.py.
    - debian/patches/CVE-202x-12718-4138-4x3x-4517.patch: Add ALLOW_MISSING in
      ./Lib/genericpath.py, ./Lib/ntpath.py, ./Lib/posixpath.py. Change filter
      to handle errors in ./Lib/ntpath.py, ./Lib/posixpath.py. Add checks and
      unfiltered to ./Lib/tarfile.py. Modify tests.
    - CVE-2024-12718
    - CVE-2025-4138
    - CVE-2025-4330
    - CVE-2025-4435
    - CVE-2025-4517

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 16 Jun 2025 15:45:32 -0230

python3.13 (3.13.3-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS via bytes.decode with unicode_escape
    - debian/patches/CVE-2025-4516.patch: fix use-after-free in the
      unicode-escape decoder with an error handler in
      Include/internal/pycore_bytesobject.h,
      Include/internal/pycore_unicodeobject.h,
      Lib/test/test_codeccallbacks.py, Lib/test/test_codecs.py,
      Objects/bytesobject.c, Objects/unicodeobject.c,
      Parser/string_parser.c.
    - CVE-2025-4516

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 May 2025 12:21:48 -0400

python3.13 (3.13.3-1) unstable; urgency=medium

  * Python 3.13.3.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Apr 2025 15:55:40 -0400
