=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.13
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
@@ -26,8 +27,11 @@
   tzdata <!nocheck>,
   systemtap-sdt-dev [!hurd-amd64 !hurd-i386],
   valgrind-if-available,
-Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
-Standards-Version: 4.7.0
+Build-Depends-Indep: python3-sphinx,
+  python3-sphinx-notfound-page,
+  python3-sphinxext-opengraph,
+   python3-docs-theme, texinfo
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3
 Vcs-Git: https://salsa.debian.org/cpython-team/python3.git
 XS-Testsuite: autopkgtest
