## python3.13 3.13.7

=== debian/changelog ===
python3.13 (3.13.7-1ubuntu0.3) questing-security; urgency=medium

  * SECURITY UPDATE: Header injection in email messages where addresses are not
    sanitized.
    - debian/patches/CVE-2025-11468.patch: Add escape parentheses and backslash
      in Lib/email/_header_value_parser.py. Add test in
      Lib/test/test_email/test__header_value_parser.py.
    - CVE-2025-11468
  * SECURITY UPDATE: Quadratic algorithm when building excessively nested XML
    documents.
    - debian/patches/CVE-2025-12084-*.patch: Remove _in_document and replace
      with node.ownerDocument in Lib/xml/dom/minidom.py. Set self.ownerDocument
      to None in Lib/xml/dom/minidom.py. Add test in Lib/test/test_minidom.py.
    - CVE-2025-12084
  * SECURITY UPDATE: OOM and denial of service when opening malicious plist
    file.
    - debian/patches/CVE-2025-13837.patch: Add _MIN_READ_BUF_SIZE and _read
      with checks in Lib/plistlib.py. Add test in Lib/test/test_plistlib.py.
    - CVE-2025-13837
  * SECURITY UPDATE: Header injection in user controlled data URLs in urllib.
    - debian/patches/CVE-2025-15282.patch: Add control character checks in
      Lib/urllib/request.py. Add test in Lib/test/test_urllib.py.
  * SECURITY UPDATE: Command injection through user controlled commands in
    imaplib.
    - debian/patches/CVE-2025-15366.patch: Add _control_chars and checks in
      Lib/imaplib.py. Add test in Lib/test/test_imaplib.py.
  * SECURITY UPDATE: Command injection through user controlled commands in
    poplib.
    - debian/patches/CVE-2025-15367.patch: Add control character regex check
      in Lib/poplib.py. Add test in Lib/test/test_poplib.py.
    - CVE-2025-15367
  * SECURITY UPDATE: HTTP header injection in user controlled cookie values.
    - debian/patches/CVE-2026-0672.patch: Add _control_characters_re and
      checks in Lib/http/cookies.py. Add test in Lib/test/test_http_cookies.py.
    - CVE-2026-0672
  * SECURITY UPDATE: HTTP header injection in user controlled headers and
    values with newlines.
    - debian/patches/CVE-2026-0865.patch: Add _control_chars_re and check in
      Lib/wsgiref/headers.py. Add test in Lib/test/support/__init__.py and
      Lib/test/test_wsgiref.py.
    - CVE-2026-0865

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 22 Jan 2026 16:45:57 -0330

python3.13 (3.13.7-1ubuntu0.2) questing-security; urgency=medium

  * SECURITY UPDATE: HTTP Content-Length denial of service
    - debian/patches/CVE-2025-13836.patch: Read large data in chunks with
      geometric reads in Lib/http/client.py and add tests in 
      Lib/test/test_httplib.py
    - CVE-2025-13836

 -- Vyom Yadav <vyom.yadav@canonical.com>  Thu, 08 Jan 2026 17:45:45 +0530

python3.13 (3.13.7-1ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: Possible payload obfuscation
    - debian/patches/CVE-2025-8291.patch: check consistency of
      the zip64 end of central dir record in Lib/zipfile.py,
      Lib/test/test_zipfile.py.
    - CVE-2025-8291
  * SECURITY UPDATE: Performance degradation
    - debian/patches/CVE-2025-6075.patch: fix quadratic complexity
      in os.path.expandvars() in Lib/ntpatch.py, Lib/posixpath.py,
      Lib/test/test_genericpatch.py, Lib/test/test_npath.py.
    - CVE-2025-6075

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 24 Nov 2025 17:21:28 -0330

python3.13 (3.13.7-1) unstable; urgency=medium

  * Python 3.13.7.
  * Patch: Use a list for epub_exclude_files in Sphinx config.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Aug 2025 00:17:40 +0200

python3.13 (3.13.6-1) unstable; urgency=medium

  * Python 3.13.6.
    - Fixes CVE-2025-6069: Quadratic complexity in processing special input in
      HTMLParser.
    - Fixes CVE-2025-8194: Potential DoS in tarfile extraction.
  * Refresh patches.
  * Drop patch revert-logger-disable.diff, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Aug 2025 12:53:54 +0200
