=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
   media-types | mime-support, netbase, bzip2, time, python3:any, python3.13:any <cross>,
   net-tools,
   python3-pip-whl <!nocheck>,
-  python3-setuptools-whl <!nocheck>,
-  python3-wheel-whl <!nocheck>,
+  python3-setuptools-whl (>= 70.1) <!nocheck>,
   xvfb <!nocheck>, xauth <!nocheck>,
   tzdata <!nocheck>,
   systemtap-sdt-dev [!hurd-amd64 !hurd-i386],
@@ -32,8 +31,8 @@
   python3-sphinxext-opengraph,
    python3-docs-theme, texinfo
 Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/cpython-team/python3
-Vcs-Git: https://salsa.debian.org/cpython-team/python3.git
+Vcs-Browser: https://salsa.debian.org/cpython-team/python3/tree/python3.13
+Vcs-Git: https://salsa.debian.org/cpython-team/python3.git -b python3.13
 XS-Testsuite: autopkgtest
 
 Package: python3.13
@@ -60,7 +59,7 @@
 Priority: optional
 Depends: python3.13 (= ${binary:Version}),
  python3-pip-whl (>= 22.2),
- python3-setuptools-whl,
+ python3-setuptools-whl (>= 70.1),
  ${shlibs:Depends}, ${misc:Depends},
 Breaks: python3-pip (<< 1.5.6-4)
 Description: Interactive high-level object-oriented language (pyvenv binary, version 3.13)
