## python3.13 3.13.8

=== debian/changelog ===
python3.13 (3.13.8-1) unstable; urgency=medium

  * Python 3.13.8.

  [ Stefano Rivera ]
  * Revert the Sphinx config patch, now that we have sphinx 8.2 in unstable.

  [ Matthias Klose ]
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2025 11:16:25 +0200
