## python3.13 3.13.9

=== debian/changelog ===
python3.13 (3.13.9-1) unstable; urgency=medium

  * Python 3.13.9.
  * Refresh patches.
  * Patch: Support docutils 0.22.
  * Patch: m68k: Avoid SIGILL when built with GCC 15.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Oct 2025 16:56:22 +0200
