=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,10 @@
   WITHOUT_BENCH := yes
 endif
 ifeq ($(on_buildd),yes)
-  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el riscv64 s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
+  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el riscv64 s390)$(filter $(DEB_HOST_ARCH_OS), hurd kfreebsd))
     WITHOUT_CHECK := yes
   endif
-  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el riscv64 s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
+  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el riscv64 s390)$(filter $(DEB_HOST_ARCH_OS), hurd kfreebsd))
     WITHOUT_BENCH := yes
   endif
 endif
@@ -240,4 +240,3 @@
     RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
 endif
 
-sysconfig_substflags = \
