## python3.13 3.13.11

=== debian/changelog ===
python3.13 (3.13.11-1) unstable; urgency=medium

  * Python 3.13.11.
  * Fix the tempfile module in python3.13-minimal (min-tempfile.diff).
    (LP: #2127898)
  * Build with -O1 on m68k. Closes: #1121974

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Dec 2025 09:15:20 -0400
