=== debian/rules ===
--- 
+++ 
@@ -200,6 +200,11 @@
     DEBUG_CFLAGS += -fexceptions
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
+    OPT_CFLAGS += $(filter-out -O%,$(DPKG_CFLAGS)) -O1
+    OPT_PIE_CFLAGS += $(filter-out -O%,$(DPKG_PIE_CFLAGS)) -O1
+endif
+
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   ifeq ($(DEB_HOST_ARCH_OS),linux)
     ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf arm64 i386 powerpc ppc64 ppc64el s390x))
@@ -234,9 +239,3 @@
     ifeq ($(with_fat_lto),yes)
       LTO_CFLAGS += -ffat-lto-objects
     endif
-    OPT_CFLAGS += $(LTO_CFLAGS)
-    OPT_PIE_CFLAGS += $(LTO_CFLAGS)
-    AR=$(DEB_HOST_GNU_TYPE)-gcc-ar
-    RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
-endif
-
