=== debian/watch ===
version=4
opts=dversionmangle=s/.*\+//,\
  uversionmangle=s/([abcr]+[1-9])$/~$1/,\
  pgpsigurlmangle=s/$/.asc/ \
  http://www.python.org/ftp/python/3\.13(\.\d+)?/Python-(3\.13[.\dabcr]*)\.tar.xz
