## python3.13 3.13.12

=== debian/changelog ===
python3.13 (3.13.12-1) unstable; urgency=medium

  * Python 3.13.12.
    - Ensures that Element & Attr instances have the ownerDocument
      attribute. Closes: #1122875
    - Reject control characters in wsgiref.headers.Headers. Closes: #1126740,
      CVE-2026-0865.
    - email: verify headers are sound in BytesGenerator. Closes: #1126745,
      CVE-2026-1299.
    - Reject control characters in http cookies. Closes: #1126762,
      CVE-2026-0672.
    - Reject control characters in data: URL mediatype. Closes: #1126780,
      CVE-2025-15282.
    - email: Preserve parens when folding comments. Closes: #1126787,
      CVE-2025-11468.
  * Refresh patches.
  * Drop m68k patch, merged upstream.
  * Drop -Os from CFLAGS for sh4. Closes: #1122045
  * Patch: Handle missing _pyrepl in _sitebuiltins under python3.13-minimal.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Feb 2026 11:06:39 -0400
