=== debian/rules ===
--- 
+++ 
@@ -189,11 +189,7 @@
     DPKG_CPPFLAGS += -DWITH_PYMALLOC_RADIX_TREE=0
     DPKG_PIE_CPPFLAGS += -DWITH_PYMALLOC_RADIX_TREE=0
 endif
-# see https://gcc.gnu.org/PR81426
-ifneq (,$(filter $(DEB_HOST_ARCH), sh4))
-    OPT_CFLAGS += $(filter-out -O%,$(DPKG_CFLAGS)) -Os
-    OPT_PIE_CFLAGS += $(filter-out -O%,$(DPKG_PIE_CFLAGS)) -Os
-endif
+
 ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
     OPT_CFLAGS += -fexceptions
     OPT_PIE_CFLAGS += -fexceptions
@@ -239,3 +235,10 @@
     ifeq ($(with_fat_lto),yes)
       LTO_CFLAGS += -ffat-lto-objects
     endif
+    OPT_CFLAGS += $(LTO_CFLAGS)
+    OPT_PIE_CFLAGS += $(LTO_CFLAGS)
+    AR=$(DEB_HOST_GNU_TYPE)-gcc-ar
+    RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
+endif
+
+sysconfig_substflags = \
